## KeyFile Settings

KeyFile Settings — Settings manager using key files

## Functions

OGMRipSettings * | ogmrip_keyfile_settings_new ()
gboolean | ogmrip_keyfile_settings_load ()
gboolean | ogmrip_keyfile_settings_save ()

## Types and Values

struct | OGMRipKeyFileSettings
struct | OGMRipKeyFileSettingsClass

## Object Hierarchy

## Includes

    #include <ogmrip-keyfile-settings.h>

## Description

## Functions

### ogmrip_keyfile_settings_new ()

    OGMRipSettings *
    ogmrip_keyfile_settings_new (void);

Creates a new OGMRipSettings

#### Returns

the new OGMRipSettings

### ogmrip_keyfile_settings_load ()

    gboolean
    ogmrip_keyfile_settings_load (OGMRipKeyFileSettings *settings,
                                  const gchar *filename,
                                  GError **error);

Loads a key file.

#### Parameters

settings | an OGMRipKeyFileSettings |
filename | the filename to load |
error | return location for error |

#### Returns

`TRUE` on success, `FALSE` if an error was set

### ogmrip_keyfile_settings_save ()

    gboolean
    ogmrip_keyfile_settings_save (OGMRipKeyFileSettings *settings,
                                  const gchar *filename,
                                  GError **error);

Saves a key file.

#### Parameters

settings | an OGMRipKeyFileSettings |
filename | the filename where to save the keys and values |
error | return location for error |

#### Returns

`TRUE` on success, `FALSE` if an error was set

## Types and Values

### struct OGMRipKeyFileSettings

    struct OGMRipKeyFileSettings {
      GObject parent_instance;

      OGMRipKeyFileSettingsPriv *priv;
    };

### struct OGMRipKeyFileSettingsClass

    struct OGMRipKeyFileSettingsClass {
      GObjectClass parent_class;
    };